首页 Deepin教程正文

Deepin15.9如何禁止自动更新

网上有人说deepin 15.10这个版本不太稳定,这个版本我之前只在虚拟机中装过一次,并没有什么感觉,但是既然有人提出了,那就用15.9吧(15.11真香),据说uos就是deepin v20了,具体的看官方吧, 今天主要记录一下15.9如何禁止自动更新。


编辑源优先级

编辑:/etc/apt/preferences

ps:编辑一般vi或者vim都可以,如果有gedit的话也是可以用的。

内容:

Package: * Pin: release l=Deepin Pin-Priority: 99

原理:就是将官方源的优先级调低,已经安装了的包,优先级是100,将官方源调到99低于100,系统就不会更新这个包。但是不妨碍你安装它,或者安装新软件。

  • 号表示匹配所有包的名字,当然你也可以特别的指定哪个包,不过太多包,关键我不太清楚哪个包是deepin的核心部件,会导致系统版本号升级,如果你知道可以特别指定。

比如这样:

Package: dde Pin: release l=Deepin Pin-Priority:99

要查看当前的优先级信息,用apt policy


版权声明

本文仅代表作者观点,不代表本站立场。
本文系作者授权发表,未经许可,不得转载。

评论